import { ObservablePoint } from '../maths/ObservablePoint';
import { Texture } from '../rendering/renderers/shared/texture/Texture';
import { Transform } from '../utils/Transform';
import type { PointData } from '../maths/PointData';
import type { View } from '../rendering/renderers/shared/View';
import type { Bounds } from '../rendering/scene/bounds/Bounds';
import type { TextureDestroyOptions, TypeOrBool } from '../rendering/scene/destroyTypes';
export interface TilingSpriteViewOptions {
    texture?: Texture;
    width?: number;
    height?: number;
    applyAnchorToTexture?: boolean;
}
export declare class TilingSpriteView implements View {
    static defaultOptions: TilingSpriteViewOptions;
    readonly owner: import("../rendering/renderers/shared/View").ViewObserver;
    readonly uid: number;
    readonly renderPipeId = "tilingSprite";
    batched: boolean;
    anchor: ObservablePoint;
    /** @internal */
    _tileTransform: Transform;
    /** @internal */
    _texture: Texture;
    /** @internal */
    _applyAnchorToTexture: boolean;
    /** @internal */
    _didUpdate: boolean;
    private _bounds;
    private _boundsDirty;
    private _width;
    private _height;
    constructor(options: TilingSpriteViewOptions);
    get bounds(): [number, number, number, number];
    set texture(value: Texture);
    get texture(): Texture;
    set width(value: number);
    get width(): number;
    set height(value: number);
    get height(): number;
    private _updateBounds;
    addBounds(bounds: Bounds): void;
    containsPoint(point: PointData): boolean;
    /**
     * @internal
     */
    onUpdate(): void;
    /**
     * Destroys this sprite renderable and optionally its texture.
     * @param options - Options parameter. A boolean will act as if all options
     *  have been set to that value
     * @param {boolean} [options.texture=false] - Should it destroy the current texture of the renderable as well
     * @param {boolean} [options.textureSource=false] - Should it destroy the textureSource of the renderable as well
     */
    destroy(options?: TypeOrBool<TextureDestroyOptions>): void;
}
